=== debian/rules ===
#! /usr/bin/make -f

buildroot=debian/$(shell awk '/^Package/ {print $$2}' debian/control)
prefix=$(buildroot)/usr

clean:
	dh_clean

build:
	mkdir -p $(prefix)

install: 
	dh_testroot
	dh_clean -k
	dh_testdir
	dh_installdirs
	dh_install
	dh_installinit -r --no-start -- defaults
	$(MAKE) install prefix=$(prefix)
	mkdir -p $(buildroot)/etc/cron.hourly
	cp contrib/cron.sh $(buildroot)/etc/cron.hourly/hubdns-update

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install
